> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Enterprise-wide search

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = href;
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

By default, a search is only performed against the content that the
authenticated user has access to. In some cases, administrators might want to
search against all content owned by all users. For this use-case the `scope`
query parameter can be set to a value of `enterprise_content`.

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X GET "https://api.box.com/2.0/search?query=sales&scope=enterprise_content" \
      -H "Authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```java Java theme={null}
  long offsetValue = 0;
  long limitValue = 10;

  BoxSearch boxSearch = new BoxSearch(api);
  BoxSearchParameters searchParams = new BoxSearchParameters();
  searchParams.setQuery("sales");
  searchParams.setScope("enterprise_content");

  PartialCollection<BoxItem.Info> searchResults = boxSearch.searchRange(offsetValue, limitValue, searchParams);
  ```

  ```csharp .NET theme={null}
  BoxCollection<BoxItem> results = await client.SearchManager
      .QueryAsync("sales", mdFilters: filters, scope: "enterprise_content");
  ```

  ```python Python theme={null}
  client.search().query("sales", metadata_filters=metadata_search_filters, scope="enterprise_content")
  ```

  ```js Node theme={null}
  client.search.query(
      'sales',
      {
          scope: "enterprise_content"
      })
      .then(results => {
          // ...
      });
  ```
</CodeGroup>

<Warning>
  The `enterprise_content` scope can be requested by an admin through our
  <Link href="/support">support channels</Link>. Once this scope has been enabled for a user, it
  will allow that user to query for content across the entire enterprise and not
  only the content that they have access to.
</Warning>
